#ifndef STEPPERMOTORACTUATORS_HPP
#define STEPPERMOTORACTUATORS_HPP
#include <vector>
#include "steppermotorpins.hpp"
#include "../hal/gpio.hpp"

struct StepperMotorActuators {
    StepperMotorPins* stepper_motor_pins;
    StepperMotorActuators(StepperMotorPins* smp);
    std::vector<GPIOOutputPin*>* microstep;
    GPIOOutputPin* enable;
    GPIOOutputPin* step;
    GPIOOutputPin* direction;
};

#endif
