#include "steppermotorpins.hpp"
#include "../hal/gpio.hpp"

StepperMotorPins::StepperMotorPins(
    int8_t ml,
    int8_t ms1,
    int8_t ms2,
    int8_t ms3,
    int8_t en,
    int8_t st,
    int8_t dir,
    bool msc,
    bool enc,
    bool stc,
    std::map<int, int>* drvstps
){
    this->microstep_level = ml;
    this->microstep[0] = ms1;
    this->microstep[1] = ms2;
    this->microstep[2] = ms3;
    this->enable = en;
    this->step = st;
    this->direction = dir;
    this->microstep_compliment = msc;
    this->enable_compliment = enc;
    this->step_compliment = stc;
    this->driver_steppings = drvstps;
}
