#ifndef MOTORCONTROL_HPP
#define MOTORCONTROL_HPP

#include "steppers.hpp"
#include "led.hpp"
#include "motorlogic/motorlogic.hpp"

struct MotorControl {
    SmartStepper* right_stepper;
    SmartStepper* left_stepper;
    LED* primary_led;
    LED* secondary_led;
    GPIOOutputPin* onboard_led;
    MotorLogic* motor_logic;
};

#endif