#ifndef STORAGE_VFS_HPP
#define STORAGE_VFS_HPP

#include "nvs.h"
#include "nvs_flash.h"
#include "esp_spiffs.h"
#include "esp_system.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include <string>
#include "nvs.hpp"

class VFS {
public:
    VFS();
    NVS* nvs;
    std::string spiffs = "/spiffs/";
};

#endif
